Package in.cdac.medinfo.csnotk.csnolib.model

## Class CompositeDescription

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent
  - - in.cdac.medinfo.csnotk.csnolib.model.Component
    - - in.cdac.medinfo.csnotk.csnolib.model.Description
      - - in.cdac.medinfo.csnotk.csnolib.model.CompositeDescription

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CompositeDescription
      extends Description

  `CompositeDescription` is extended from `Description`. A `CompositeDescription` consists of inherited fields of `Description` and description hierarchy,isPreferredTerm,conceptState,conceptFsn,definitionStatus.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class in.cdac.medinfo.csnotk.csnolib.model.Description

      `FSN_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeDescription()` | Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConceptFsn()` | Returns the concept FSN.
    `java.lang.String` | `getConceptState()` | Returns the state of the concept corresponding to the description.
    `java.lang.String` | `getDefinitionStatus()` | Returns the definition status of the SNOMED CT `Concept`.
    `java.lang.String` | `getHierarchy()` | Returns the Semantic Tag/ hierarchy of a description.
    `java.lang.String` | `getIsPreferredTerm()` | Returns a String value to identify whether a description is preferred or acceptable.
    `Refset` | `getRefset()` |
    `RefSetMember` | `getRefSetLangMember()` | Used to get RefSetMember object
    `void` | `setConceptFsn​(java.lang.String conceptFsn)` | Sets the concept FSN value.
    `void` | `setConceptState​(java.lang.String conceptState)` | Sets the concept state.
    `void` | `setDefinitionStatus​(java.lang.String definitionStatus)` | Sets the definition status.
    `void` | `setHierarchy​(java.lang.String hierarchy)` | Returns the Semantic Tag/hierarchy of a description.
    `void` | `setIsPreferredTerm​(java.lang.String isPreferredTerm)` | Sets the isPreferredTerm value.
    `void` | `setRefset​(Refset refset)` |
    `void` | `setRefSetLangMember​(RefSetMember refSetLangMember)` | Used to set RefSetMember object
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class in.cdac.medinfo.csnotk.csnolib.model.Description

      `equals, getActiveStatus, getCaseSId, getConceptId, getId, getLangCode, getModuleId, getTerm, getTime, getType, hashCode, setActiveStatus, setCaseSId, setConceptId, setId, setLangCode, setModuleId, setTerm, setTime, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeDescription

          public CompositeDescription()

      Default constructor

  - ### Method Detail

    - #### getRefset

          public Refset getRefset()

    - #### setRefset

          public void setRefset​(Refset refset)

    - #### getRefSetLangMember

          public RefSetMember getRefSetLangMember()

      Used to get RefSetMember object

    - #### setRefSetLangMember

          public void setRefSetLangMember​(RefSetMember refSetLangMember)

      Used to set RefSetMember object

    - #### getIsPreferredTerm

          public java.lang.String getIsPreferredTerm()

      Returns a String value to identify whether a description is preferred or acceptable.
      Returns:
        `String` value that specifies the preferred state of a description.

    - #### setIsPreferredTerm

          public void setIsPreferredTerm​(java.lang.String isPreferredTerm)

      Sets the isPreferredTerm value.
      Parameters:
        `isPreferredTerm` - String value to identify whether a description is preferred or not.

    - #### getHierarchy

          public java.lang.String getHierarchy()

      Returns the Semantic Tag/ hierarchy of a description.
      Returns:
        `String` value that specifies the Semantic Tag/hierarchy to which the description belongs.

    - #### setHierarchy

          public void setHierarchy​(java.lang.String hierarchy)

      Returns the Semantic Tag/hierarchy of a description.
      Parameters:
        `hierachy` - the Semantic Tag/ hierarchy of the description.

    - #### getConceptState

          public java.lang.String getConceptState()

      Returns the state of the concept corresponding to the description.
      Returns:
        `String` value that specifies the state of the concept associated with this description.

    - #### setConceptState

          public void setConceptState​(java.lang.String conceptState)

      Sets the concept state.
      Parameters:
        `conceptState` - `String` value that specifies the state of the concept associated with this description.

    - #### getConceptFsn

          public java.lang.String getConceptFsn()

      Returns the concept FSN.
      Returns:
        `String` value that corresponds to the FSN.

    - #### setConceptFsn

          public void setConceptFsn​(java.lang.String conceptFsn)

      Sets the concept FSN value.
      Parameters:
        `conceptFsn` - `String` value that specifies the FSN of the concept.

    - #### getDefinitionStatus

          public java.lang.String getDefinitionStatus()

      Returns the definition status of the SNOMED CT `Concept`. associated with this description
      Returns:
        `String`.

    - #### setDefinitionStatus

          public void setDefinitionStatus​(java.lang.String definitionStatus)

      Sets the definition status.
      Parameters:
        `definitionStatus` - `String` value that corresponds to the definition status of the Concept.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Description`